<!-- Agurtzane Feb12: modificación fecha fin -> añadido en el import m05bSolicitudReservaEJB.*, m05bBD.m05bSolicitudReserva, m05bAsignacionEJB.* -->
<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,m05bBD.m05bAsignacion,m05bClasses.m05bPaginacion.*, m05bClasses.m05bPaginacion.m05bValueObject.*, m05bSolicitudReservaEJB.*, m05bBD.m05bSolicitudReserva, m05bAsignacionEJB.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%	} 
	String persona = (String) session.getAttribute("persona");
%>
	<%@ include file="/m05bIdioma.inc"%>

<head>
		<title><%= resTit.getString("titAsigRelacion")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>

</head>
<BODY style="cursor: wait" onload="document.body.style.cursor='default';InitMenu();" onkeydown="cancelaEnter();" onunload="document.body.style.cursor='wait';">
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.VEH_ASIG_RELACION%>";
	detPadre = '<%=resCM.getString("cmAsigBusqueda")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.VEH_ASIG_BUSQUEDA%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmAsigRelacion")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
		<FORM NAME="FormRelAsignaciones" METHOD="POST" TARGET="_top">
				 <TABLE class="general">
				   <tr>
					   <!--td align="right" colspan="7"><INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Retornar" ONCLICK="JavaScript:volver();return false;" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/retornar.gif"></td-->
                       <td align="right" colspan="7"><input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:volver();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  					   
				    </tr>
				 </TABLE>
				 <p>
				 <TABLE class="general">
				    <tr>
				       <td class="searchTitle" width="5%"><%= res.getString("etAsignacion")%></td> <!-- Agurtzane Mar12: relacionar solicitud y asignación, cambio el título a asignación, estaba etSolicitud-->
				       <td class="searchTitle" width="10%"><%= res.getString("etMatricula")%></td>
				       <td class="searchTitle" width="10%"><%= res.getString("etDNI")%></td>
				       <td class="searchTitle" width="25%"><%= res.getString("etNombre")%></td>
				       <td class="searchTitle" width="18%"><%= res.getString("etFDesde")%></td>
				       <td class="searchTitle" width="18%"><%= res.getString("etFHasta")%></td>
				       <td class="searchTitle" width="21%"><%= res.getString("etFDevolucion")%></td>
				       <td class="searchTitle" width="3%"><%= res.getString("etFin")%></td>
				       <!-- Agurtzane Feb12: columnas telemático -->
				       <td class="searchTitle" width="3%"><%= res.getString("etTelematica")%></td>
				       <td class="searchTitle" width="3%"><%= res.getString("etFirmada")%></td>				       				       
				       <!-- Fin Agurtzane Feb12: columnas telemático -->				       
				       <td class="searchTitle" width="5%"><%= res.getString("etSolicitud")%></td><!-- Agurtzane Mar12: relacionar solicitud y asignación-->
				    </tr>
				<%
				    m05bComun comun = new m05bComun();
				    m05bFileLog miLog = new m05bFileLog();
				    String idiomaText="C";
					if(!idiomaSes.equals("es")){ 
						idiomaText="E";
						
					}
					miLog.addTraza(persona, "Rel. Asignaciones JSP", "Inicio", m05bConstantes.LOG_NIVEL_BAJO);
					int contador=0;
					String sql = "", sql2 = "";
					String codigo=request.getParameter("NSolicitud")==null?"":request.getParameter("NSolicitud");
					String matricula=request.getParameter("Matricula")==null?"":request.getParameter("Matricula").toUpperCase();
					String dni=request.getParameter("Dni")==null?"":request.getParameter("Dni").toUpperCase();
					String nombre =request.getParameter("Nombre")==null?"":request.getParameter("Nombre").toUpperCase();
					if(nombre!=null){
				       //reemplazo los acentos
				       nombre=nombre.replaceAll("Á","A");
   				       nombre=nombre.replaceAll("É","E");
				       nombre=nombre.replaceAll("Í","I");
				       nombre=nombre.replaceAll("Ó","O");
				       nombre=nombre.replaceAll("Ú","U");
			        }
					/*String FSolicitud =request.getParameter("FSolicitud");
				    String permanente = request.getParameter("AsigPermanente");*/
				    String FEntrada =request.getParameter("Desde")==null?"":request.getParameter("Desde");
				    String HEntrada =request.getParameter("HoraDesde");
				    if (HEntrada == null)
				    	HEntrada="000000";
				    FEntrada=comun.FechaBD(FEntrada,HEntrada,idiomaText);
				    
				    String FSalida= request.getParameter("Hasta")==null?"":request.getParameter("Hasta");
				    String HSalida= request.getParameter("HoraHasta");
				    if (HSalida == null)
				    	HSalida="000000";
				    FSalida=comun.FechaBD(FSalida,HSalida,idiomaText);
				    
				    String finalizada="", FDevolucion ="", HDevolucion=""; 
				    
					String telematica="", firmada=""; //Agurtzane Feb12: columnas telemático
					String solicitud="";//Agurtzane Mar12: relacionar solicitud y asignación
					
				    //finalizada=request.getParameter("Finalizada");
				    /*if (finalizada ==null)
				    	finalizada="N";*/
					//miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "Finalizada: " + finalizada, m05bConstantes.LOG_NIVEL_BAJO);
				    
				    //String rango=request.getParameter("Rango");
				    FDevolucion = request.getParameter("Devolucion")==null?"":request.getParameter("Devolucion");
					miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "FDevolucion: " + FDevolucion, m05bConstantes.LOG_NIVEL_BAJO);
				    HDevolucion= request.getParameter("HoraDevolucion")==null?"":request.getParameter("HoraDevolucion");
					miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "HDevolucion: " + HDevolucion, m05bConstantes.LOG_NIVEL_BAJO);
				    FDevolucion=comun.FechaBD(FDevolucion,HDevolucion,idiomaText);
					miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "FDevolucion-2: " + FDevolucion, m05bConstantes.LOG_NIVEL_BAJO);
				    if (  (!FDevolucion.equals("")) && (HDevolucion.equals(""))  ) {
				    	FDevolucion=FDevolucion.substring(0,8);
				    }
					miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "FDevolucion-3: " + FDevolucion, m05bConstantes.LOG_NIVEL_BAJO);
				    
				    /*String KmRecorridos=request.getParameter("Kmrecorridos");
				    String Kmllegada = request.getParameter("Kmllegada");
				    String Kmsalida = request.getParameter("Kmsalida");*/
				    String forFecha="YYYYMMDDHH24MISS";
				/* 	if(!idiomaSes.equals("es"))
						forFecha="DDMMYYYYHH24MISS"; */
					miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "HDevol: " + HDevolucion, m05bConstantes.LOG_NIVEL_BAJO);

				try{
					session.removeAttribute("Asignacion");

				    sql = 	"select " + m05bConstantes.COL_01_CODASIG + "," + m05bConstantes.COL_01_MATRICULA +
				    		"," + m05bConstantes.COL_01_FDESDE + "," + m05bConstantes.COL_01_FHASTA + 
				    		"," + m05bConstantes.COL_01_FINALIZA + "," + m05bConstantes.COL_01_DNI +
							"," + m05bConstantes.COL_21_NOMBRE + "," + m05bConstantes.COL_01_FDEVOL +
							//Agurtzane Feb12: columnas telemático 
							", DECODE((select 1 from " + m05bConstantes.TAB_SOLICITUD + " WHERE COD_ASIGNACION_100=" + 
								m05bConstantes.COL_01_CODASIG + "), NULL, 'NO', 'S&Iacute;') TELEMATICA" +  
							", DECODE((select 1 from M05103T00 WHERE COD_ASIGNACION_103=" + 
								m05bConstantes.COL_01_CODASIG + " AND TIPO_FIRMA_103='"+ m05bConstantes.FIRMAENTREGA +
								"'), NULL, 'NO', 'S&Iacute;') FIRMADA" +	
							//Fin Agurtzane Feb12: columnas telemático
							//Agurtzane Mar12: relacionar solicitud y asignación
							", (SELECT ID_SOLICITUD_100 FROM " + m05bConstantes.TAB_SOLICITUD + " WHERE COD_ASIGNACION_100=" + 
								m05bConstantes.COL_01_CODASIG + ") SOLICITUD " +
							//Fin Agurtzane Mar12: relacionar solicitud y asignación
				    		" FROM " + m05bConstantes.TAB_ASIGNACION + " , " + m05bConstantes.TAB_PERSONAL +
				    		" WHERE " + m05bConstantes.COL_21_DNI + " = " + m05bConstantes.COL_01_DNI;

				    /*if ((permanente==null)|| (permanente.equals("")))
				        sql2=sql2;
				    else{
				       if (sql2.equals("")){
				           sql2=sql2+" WHERE "+m05bConstantes.COL_01_ASIG+"='"+permanente+"' ";
				       }
				        else{
				           sql2=sql2+" AND "+m05bConstantes.COL_01_ASIG+"='"+permanente+"' ";
				       }
				    }*/
				    if ((codigo==null)||(codigo.equals("")))
				        sql2=sql2;
				    else {
				            sql2=sql2+" AND "+m05bConstantes.COL_01_CODASIG+"='"+codigo+"' ";
				    }
				    
				    if ((FDevolucion==null)||(FDevolucion.equals("")))
				        sql2=sql2;
				    else {
				    	finalizada="S";
			            if (HDevolucion.equals("")) {
			            	sql2=sql2+" AND TO_CHAR("+m05bConstantes.COL_01_FDEVOL + ",'yyyymmdd') = '"+FDevolucion+"'";
			            } else {
			            	sql2=sql2+" AND TO_CHAR("+m05bConstantes.COL_01_FDEVOL + ",'yyyymmddhh24miss') = '"+FDevolucion+"'";
			            }
				    }
				    
				  /*  if ((finalizada==null)||(finalizada.equals("")))
				        sql2=sql2;
				    else{
				          sql2=sql2+" AND "+m05bConstantes.COL_01_FINALIZA+"='"+finalizada+"' ";
				    }*/
				    /*if ((rango==null)||(rango.equals("")))
				        sql2=sql2;
				    else{
				        if(sql2.equals("")){
				            sql2=sql2+" WHERE "+m05bConstantes.COL_01_ORDEN+"='"+rango+"' ";
				        }
				        else {
				            sql2=sql2+" AND "+m05bConstantes.COL_01_ORDEN+"='"+rango+"' ";
				        }
				    }*/
				    if ( (FEntrada==null) || (FEntrada.equals("")) )
				            sql2=sql2;
				        else {
				            //FEntrada=comun.Fecha(FEntrada);
				                sql2=sql2+" AND "+m05bConstantes.COL_01_FDESDE + " >= TO_DATE('"+FEntrada+"','"+forFecha+"') ";
				        }
				    if ((FSalida==null)||(FSalida.equals("")))
				            sql2=sql2;
				        else {
				            //FSalida=comun.Fecha(FSalida);
				                sql2=sql2+" AND "+m05bConstantes.COL_01_FHASTA + " <= TO_DATE('"+FSalida+"','"+forFecha+"') ";
				    }
				    /*if ((FSolicitud==null)||(FSolicitud.equals("")))
				            sql2=sql2;
				        else {
				            FSolicitud=comun.Fecha(FSolicitud);
				            if (sql2.equals("")){

				                sql2=sql2+" where "+m05bConstantes.COL_01_FECHA + " BETWEEN TO_DATE('"+FSolicitud+
				                "000000','"+forFecha+"') AND TO_DATE('"+FSolicitud+"235959','"+forFecha+"')";
				            }
				            else{

				                sql2=sql2+" AND "+m05bConstantes.COL_01_FECHA + " BETWEEN TO_DATE('"+FSolicitud+
				                "000000','"+forFecha+"') AND TO_DATE('"+FSolicitud+"235959','"+forFecha+"')";

				            }

				    }*/
					if ( (matricula == null) || (matricula.equals("")) )
						sql2 = sql2;
					else{
					 		sql2 = sql2 + " and "+m05bConstantes.COL_01_MATRICULA+"='"+matricula+"'";
					}
					
				    if ( (dni == null) || (dni.equals("")) )
						sql2 = sql2;
					else{
						//Agurtzane Feb12: buscar mayúsculas
					 		//sql2 = sql2 + " and "+m05bConstantes.COL_01_DNI+" like '%"+dni+"%'";
					 		sql2 = sql2 + " and upper("+m05bConstantes.COL_01_DNI+") like '%"+dni+"%'";
					 	//Fin Agurtzane Feb12: buscar mayúsculas
					}
					
				    if ( (nombre == null) || (nombre.equals("")) )
						sql2 = sql2;
					else{        		    	
					 	//sql2 = sql2 + " and " + m05bConstantes.COL_21_NOMBRE + " like '%" + nombre + "%'";
					 	
						//Agurtzane Feb12: buscar mayúsculas					 		
						//sql2 = sql2 + " and " + "replace(replace(replace(replace(replace("+m05bConstantes.COL_21_NOMBRE+",'Ú','U'),'Ó','O'),'Í','I'),'É','E'),'Á','A')" + "   like '%" + nombre + "%' ";
						sql2 = sql2 + " and " + "upper(replace(replace(replace(replace(replace("+m05bConstantes.COL_21_NOMBRE+",'Ú','U'),'Ó','O'),'Í','I'),'É','E'),'Á','A'))" + "   like upper('%" + nombre + "%') ";
						//Fin Agurtzane Feb12: buscar mayúsculas					 		
					}
				    /*if ((Kmllegada == null) || (Kmllegada.equals("")))
				        sql2=sql2;
				    else {
				          if (sql2.equals(""))
				              sql2 = sql2+ " where "+m05bConstantes.COL_01_KMLLEGADA+" = "+Kmllegada;
				          else
				              sql2 = sql2+ " and "+m05bConstantes.COL_01_KMLLEGADA+" = "+Kmllegada;
				    }
				    if ((Kmsalida == null) || (Kmsalida.equals("")))
				        sql2=sql2;
				    else {
				          if (sql2.equals(""))
				              sql2 = sql2+ " where "+m05bConstantes.COL_01_KMSALIDA+" = "+Kmsalida;
				          else
				              sql2 = sql2+ " and "+m05bConstantes.COL_01_KMSALIDA+" = "+Kmsalida;
				    }

				    if ((KmRecorridos == null) || (KmRecorridos.equals("")))
				        sql2=sql2;
				    else {
				          if (sql2.equals(""))
				              sql2 = sql2+ " where "+m05bConstantes.COL_01_KMRECORRIDO+" = "+KmRecorridos;
				          else
				              sql2 = sql2+ " and "+m05bConstantes.COL_01_KMRECORRIDO+" = "+KmRecorridos;
				    }*/



					sql = sql + sql2 + " order by "+m05bConstantes.COL_01_CODASIG+" desc";
					miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "SQL: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
					miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "Devolucion: " + FDevolucion, m05bConstantes.LOG_NIVEL_BAJO);
				    
				    //Ini Pag
					m05bPaginator m = new m05bPaginator();
					m05bPage pagina = m.getRelAsignaciones((request.getParameter("paginaActual")==null?1:new Integer(request.getParameter("paginaActual")).intValue()), m05bConstantes.PAGINACION_NUMREG_PAGINA, sql);	
					
					String ultimaPagina = pagina.getLastPage()+"";
					String numeroElementos = pagina.getTotalElements() + "";
					String numeroPagina = pagina.getPage()+"";
					boolean hayPaginas = (pagina.getResults().size()==0)?false:true;
					//Fin Pag
					ArrayList listaAsignaciones = (ArrayList)pagina.getResults();
					//Agurtzane Feb12: modificación fecha fin								
					String strFHSol="", strHHSol="", strFHAsig="", strHHAsig="", strFDSol="", strHDSol="", strFDAsig="", strHDAsig="", strMensFDif="";
					m05bSolicitudReserva solicitudReserva = null;
					Collection colSolicitudReservaEB=null;
					InitialContext ctxSR =null;
					m05SolicitudReservaHome solicitudReservaEBHome=null;
					m05AsignacionHome asignacionHome = null;
					m05Asignacion asignacion = null;
					m05AsignacionPK asigPK = null;
					//Fin Agurtzane Feb12: modificación fecha fin
					for (contador=0;contador<listaAsignaciones.size();contador++){
						m05bRelAsignaciones relAsignaciones = (m05bRelAsignaciones)listaAsignaciones.get(contador);
						
						codigo = relAsignaciones.getCodigo();
						matricula= relAsignaciones.getMatricula();
						FEntrada= relAsignaciones.getFEntrada();
				        dni= relAsignaciones.getDni();
				        nombre= relAsignaciones.getNombre();
						FSalida= relAsignaciones.getFSalida();
				        finalizada= relAsignaciones.getFinalizada();
				        FDevolucion= relAsignaciones.getFDevolucion();
				        //Agurtzane Feb12: columnas telemático
				        telematica= relAsignaciones.getTelematica();
				        firmada= relAsignaciones.getFirmada();
				        //miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "telematica: " + telematica, m05bConstantes.LOG_NIVEL_BAJO);
				        //miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "firmada: " + firmada, m05bConstantes.LOG_NIVEL_BAJO);
				        //Fin Agurtzane Feb12: columnas telemático
				        
				        //Agurtzane Mar12: relacionar solicitud y asignación
				        solicitud= relAsignaciones.getSolicitud()==null?"":relAsignaciones.getSolicitud();
				        //Fin Agurtzane Mar12: relacionar solicitud y asignación
				        
				        //Agurtzane Feb12: modificación fecha fin
				        strMensFDif="";
						if (telematica.equals("S&Iacute;"))
						{
							ctxSR = new InitialContext();									
							solicitudReservaEBHome = (m05SolicitudReservaHome) ctxSR.lookup("m05SolicitudReserva");
							asignacionHome=(m05AsignacionHome) ctxSR.lookup("m05Asignacion");
							colSolicitudReservaEB = solicitudReservaEBHome.findByCodAsignacion(Integer.valueOf(codigo));
							asigPK=new m05AsignacionPK();
							asigPK.asi_codigo=codigo;
							asignacion=asignacionHome.findByPrimaryKey(asigPK);
							if (colSolicitudReservaEB != null && colSolicitudReservaEB.size() > 0)
							{
								solicitudReserva = ((m05SolicitudReserva)colSolicitudReservaEB.iterator().next()).getSolicitudReserva();
							}	
							strFDSol = comun.formatearFecha(solicitudReserva.getFechaIni());
							strHDSol = comun.Hora(solicitudReserva.getFechaIni());
							strFDAsig = comun.formatearFecha(asignacion.getAsi_fdesde());
							strHDAsig = comun.Hora(asignacion.getAsi_fdesde());
							//miLog.addTraza(persona , "Asignaciones Pendientes JSP", "Asignación fdesde="+strFDAsig, m05bConstantes.LOG_NIVEL_BAJO);
							//miLog.addTraza(persona , "Asignaciones Pendientes JSP", "Asignación hdesde="+strHDAsig, m05bConstantes.LOG_NIVEL_BAJO);
							//miLog.addTraza(persona , "Asignaciones Pendientes JSP", "Solicitud fdesde="+strFDSol, m05bConstantes.LOG_NIVEL_BAJO);
							//miLog.addTraza(persona , "Asignaciones Pendientes JSP", "Solicitud hhdesde="+strHDSol, m05bConstantes.LOG_NIVEL_BAJO);					
							strFHSol = comun.formatearFecha(solicitudReserva.getFechaFin());
							strHHSol = comun.Hora(solicitudReserva.getFechaFin());
							strFHAsig = comun.formatearFecha(asignacion.getAsi_fhasta());
							strHHAsig = comun.Hora(asignacion.getAsi_fhasta());
							//miLog.addTraza(persona , "RelAsignaciones JSP", "Asignación fhasta="+strFHAsig, m05bConstantes.LOG_NIVEL_BAJO);
							//miLog.addTraza(persona , "RelAsignaciones JSP", "Asignación hhasta="+strHHAsig, m05bConstantes.LOG_NIVEL_BAJO);
							//miLog.addTraza(persona , "RelAsignaciones JSP", "Solicitud fhasta="+strFHSol, m05bConstantes.LOG_NIVEL_BAJO);
							//miLog.addTraza(persona , "RelAsignaciones JSP", "Solicitud hhasta="+strHHSol, m05bConstantes.LOG_NIVEL_BAJO);
							if(comun.FechaBD(strFHSol,strHHSol,idiomaText).equals(comun.FechaBD(strFHAsig, strHHAsig,idiomaText))) {strMensFDif="";}else{strMensFDif="*";}										
							if(comun.FechaBD(strFDSol,strHDSol,idiomaText).equals(comun.FechaBD(strFDAsig, strHDAsig,idiomaText))) {strMensFDif=strMensFDif;}else{strMensFDif="*";}										
						}					
						//Fin Agurtzane Feb12: modificación fecha fin
						%>
						<tr>
				   		   <!-- Agurtzane Feb12: columnas telemático -->
				   		   <!-- cambio los width de todos que estaban: -->
				   		   <!-- Solicitud -> td class=inputFieldTitle width="5%"></td>
						   matricula -> <td class=inputFieldTitle width="10%"></td>
				           dni -> <td class=inputFieldTitle width="10%"></td>
				           nombre -> <td class=inputFieldTitle width="25%"></td>
				   		   FEntrada -> <td class=inputFieldTitle width="15%"></td>
				   		   FSalida -> <td class=inputFieldTitle width="15%"></td>
				   		   FDevolucion -> <td class=inputFieldTitle width="20%"></td>
				   		   finalizada -> <td class=inputFieldTitle width="10%"></td-->
				   		   
						   <td class=inputFieldTitle width="5%">
						   	<FONT size="1"><A href="JavaScript:fncSeleccionar('<%=codigo%>')"><%=codigo%></A></FONT>
						   	<!-- Agurtzane Feb12: modificación fecha fin -->
							<label id="lblFDif" style="color: red;font-size: smaller;"><%=strMensFDif%></label>
							<!-- Fin Agurtzane Feb12: modificación fecha fin -->	
						   </td>
						   <td class=inputFieldTitle width="9%"><FONT size="1"><%=matricula%></A></FONT></td>
				           <td class=inputFieldTitle width="8%"><FONT size="1"><%=dni%></FONT></td>
				           <td class=inputFieldTitle width="25%"><FONT size="1"><%=nombre%></FONT></td>
				   		   <td class=inputFieldTitle width="9%"><FONT size="1"><%=comun.formatearFechaHora(FEntrada,idiomaText)%></FONT></td>
				   		   <td class=inputFieldTitle width="9%"><FONT size="1"><%=comun.formatearFechaHora(FSalida,idiomaText)%></FONT></td>
				   		   <td class=inputFieldTitle width="10%"><FONT size="1"><%=FDevolucion%></FONT></td>
				   		  	
				   		   <%
									if (idiomaSes.toUpperCase().equals("EU")) {
									
										if(finalizada.startsWith("S")) finalizada="BAI";
										else finalizada="EZ";
										if(telematica.startsWith("S")) telematica="BAI";
										else telematica="EZ";
										if(firmada.startsWith("S")) firmada="BAI";
										else firmada="EZ";
									}
									%>		   
						 <td class=inputFieldTitle width="6%"><FONT size="1"><%=finalizada%></FONT></td>						   
				   		   <td class=inputFieldTitle width="10%" style="text-align:center"><FONT size="1"><%=telematica%></FONT></td>	
				   		   <td class=inputFieldTitle width="10%" style="text-align:center"><FONT size="1"><%=firmada%></FONT></td>					   		   
				   		   <!-- Fin Agurtzane Feb12: columnas telemático -->
				   		   <!-- Agurtzane Mar12: relacionar solicitud y asignación -->
				   		   <td class=inputFieldTitle width="5%"><FONT size="1"><A href="JavaScript:fncSeleccionarSol('<%=solicitud%>')"><%=solicitud%></A></FONT></td>
				   		   <!-- Fin Agurtzane Mar12: relacionar solicitud y asignación -->
						</tr>
				<%} %>
						<tr> 
							<!--Ini Pag -->
							<input type="hidden" name="paginaActual" value="<%=numeroPagina%>" />
							<input type="hidden" name="ultimaPagina" value="<%=ultimaPagina%>" />
							
							<!-- Campos del filtro -->
							<input type="hidden" name="NSolicitud" value="<%=((request.getParameter("NSolicitud")==null)?"":request.getParameter("NSolicitud"))%>" />
							<input type="hidden" name="Matricula" value="<%=((request.getParameter("Matricula")==null)?"":request.getParameter("Matricula"))%>" />
							<input type="hidden" name="Devolucion" value="<%=((request.getParameter("Devolucion")==null)?"":request.getParameter("Devolucion"))%>" />
							<input type="hidden" name="Desde" value="<%=((request.getParameter("Desde")==null)?"":request.getParameter("Desde"))%>" />
							<input type="hidden" name="HoraDesde" value="<%=((request.getParameter("HoraDesde")==null)?"":request.getParameter("HoraDesde"))%>" />
							<input type="hidden" name="Hasta" value="<%=((request.getParameter("Hasta")==null)?"":request.getParameter("Hasta"))%>" />
							<input type="hidden" name="HoraHasta" value="<%=((request.getParameter("HoraHasta")==null)?"":request.getParameter("HoraHasta"))%>" />
							<input type="hidden" name="HoraDevolucion" value="<%=((request.getParameter("HoraDevolucion")==null)?"":request.getParameter("HoraDevolucion"))%>" />
							<input type="hidden" name="Dni" value="<%=((request.getParameter("Dni")==null)?"":request.getParameter("Dni"))%>" />
							<input type="hidden" name="Nombre" value="<%=((request.getParameter("Nombre")==null)?"":request.getParameter("Nombre"))%>" />
							<!-- Fin Campos filtro -->
							<!--Fin Pag -->
						</tr>
						<!--Ini Pag -->
			    <tr>
			    	<td colspan="7" width="100%">
			    		<% if (hayPaginas){ %>
			    			<% if (new Integer(numeroPagina).intValue()==1){%>
			    				<label class="paginacionSinSub" >
			    					<%= res.getString("etPRIMERO")%>
			    				</label>			    			
			    			<% }else{%>
			    				<label>
			    					<a href="javascript: fncPrimeraPagina('m05bRelAsignacionesJsp.jsp'); " class="paginacionConSub" ><%= res.getString("etPRIMERO")%></a>
			    				</label>
			    			<% }%>
				    		&nbsp&nbsp
				    		<% if (new Integer(numeroPagina).intValue()==1){%>
			    				<label class="paginacionSinSub" >
			    					<%= res.getString("etANTERIOR")%>
			    				</label>
			    			<% }else{%>
			    				<label>
					    			<a href="javascript: fncAnteriorPagina('m05bRelAsignacionesJsp.jsp'); " class="paginacionConSub" ><%= res.getString("etANTERIOR")%></a>
					    		</label>
			    			<% }%>
				    		&nbsp&nbsp
				    		<% if (new Integer(ultimaPagina).intValue()==new Integer(numeroPagina).intValue()){%>
			    				<label class="paginacionSinSub" >
			    					<%= res.getString("etSIGUIENTE")%>
			    				</label>
			    			<% }else{%>
			    				<label>
					    			<a href="javascript: fncSiguientePagina('m05bRelAsignacionesJsp.jsp'); " class="paginacionConSub" ><%= res.getString("etSIGUIENTE")%></a>
					    		</label>
			    			<% }%>
				    		&nbsp&nbsp
			    			<% if (new Integer(ultimaPagina).intValue()==new Integer(numeroPagina).intValue()){%>
			    				<label class="paginacionSinSub" >
			    					<%= res.getString("etULTIMO")%>
			    				</label>
			    			<% }else{%>
			    				<label>
			    					<a href="javascript: fncUltimaPagina('m05bRelAsignacionesJsp.jsp'); " class="paginacionConSub" ><%= res.getString("etULTIMO")%></a>
			    				</label>
			    			<% }%>
			    		<% }%>
			    		</label>
			    	</td>
		    	</tr>
		    	<tr align="center">
					    <td colspan="7" width="100%"> 
					    	<table width="100%">
					    		<tr align="left">
					    			    <td class="searchTitle" width="10%"> &nbsp</td>
									    <td class="searchTitle" width="60%"> 
									    <% if(!hayPaginas){%>
							    			<%= res.getString("etNINGUNREG")%>
							    		<% }else{%>
							    			<%= res.getString("etREGPAGACT")%>: <%=contador%>
							    		<% }%>
									    </td>
							    		<td class="searchTitle" width="30%"> 
							    		<% if(!hayPaginas){%>
							    			<%= res.getString("etNINGUNPAG")%>
							    		<% }else{%>
							    			<%= res.getString("etPAGINA")%>: <INPUT class="paginacionInputPag" TYPE="TEXT" NAME="irNumPag" VALUE="<%=((new Integer(ultimaPagina).intValue()==0)?0+"":numeroPagina)%>" SIZE="3" onblur="javascript:fncCambiaPag(document.FormRelAsignaciones.irNumPag.value);return true;"/>/<%=ultimaPagina%>
							    		<% }%>
							    		</td>
							    </tr>
					    	</table>
					    </td>
			    </tr>
					</TABLE>
		</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
	function fncSeleccionar (codigo){
	     document.forms[0].action="m05bGenerarAsignacionServlet?Codigo=" + codigo + "&Mensaje=buscar";
	     document.forms[0].submit();
	}
	//Agurtzane Mar12: relacionar solicitud y asignación
	function fncSeleccionarSol (codigo){
		 document.FormRelAsignaciones.action = "m05bSolicitudReservaServlet?Accion=" + "<%=m05bConstantes.ACCION_VER_DETALLE%>" + "&Codigo=" + codigo + "&Origen=m05bRelAsignacionesJsp.jsp" ;
  	   		 document.FormRelAsignaciones.submit();
	}
	//Fin Agurtzane Mar12: relacionar solicitud y asignación
	//Ini Pag
        function  fncSiguientePagina (jsp){
			//m05bCochesLibresHoyJsp.jsp
	        var docu = document.FormRelAsignaciones;
	        var pagAct=parseInt(docu.paginaActual.value);
	     	pagAct=pagAct+1;
	        
	        docu.action=jsp + "?paginaActual="+pagAct ;
	        docu.submit();
        } 
        
        function  fncAnteriorPagina (jsp){
			//m05bCochesLibresHoyJsp.jsp
	       	var docu = document.FormRelAsignaciones;
	        var pagAct=parseInt(docu.paginaActual.value);
	     	pagAct=pagAct-1;
	        
	        docu.action=jsp + "?paginaActual="+pagAct;
	        docu.submit();
        }
        
        function  fncPrimeraPagina (jsp){
			//m05bCochesLibresHoyJsp.jsp
	        var docu = document.FormRelAsignaciones;
	        docu.paginaActual.value=1;
	     
	        docu.action=jsp + "?paginaActual="+docu.paginaActual.value ;
	        docu.submit();
        }
        
        function  fncUltimaPagina (jsp){
			//m05bCochesLibresHoyJsp.jsp
	        var docu = document.FormRelAsignaciones;	
	        docu.paginaActual.value=docu.ultimaPagina.value;
	        docu.action=jsp + "?paginaActual="+docu.paginaActual.value ;
	        docu.submit();
        }
        
        function  fncCambiaPag (pag){
        
	        var docu = document.FormRelAsignaciones;
	        //Valido que sea numero entero
	        if(docu.irNumPag.value=='' || !esEntero(docu.irNumPag.value)){
	        	alert(dameAlerta(idioma, 85));
	        	docu.irNumPag.focus();
	        	return;
	        }
	        //Valido que sea entre 1 - Última página 
	        if(parseInt(docu.irNumPag.value)<1 || (parseInt(docu.irNumPag.value)>parseInt(docu.ultimaPagina.value))){
	        	alert(dameAlerta(idioma, 84));
	        	docu.irNumPag.focus();
	        	return;
	        }       
	        
	        docu.paginaActual.value=pag;
	        docu.action="m05bRelAsignacionesJsp.jsp?paginaActual="+docu.paginaActual.value ;
	        docu.submit();
        }
        //Fin Pag
        
        function  volver (){
	       	var docu = document.FormRelAsignaciones;
	        docu.action="m05bBuscarAsignacionJsp.jsp";
	        docu.submit();
        }

    setTimeout('initSlide();', 1);
</SCRIPT>
<%
} catch (Exception SQLException) {
	miLog.addTraza(SQLException);
} finally {
	//m05bEndSelect();
}%>
</BODY>
</HTML>